<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>
<div id="div_import_events" style="display:none;">
	<select name="coreft_id_calendar_ics" id="coreft_id_calendar_ics">
		<option value=""><?php _e('Select a Calendar','coreftCalendar'); ?></option>
		<?php
		$querystr = "
                            SELECT *
                            FROM $table_name
                            ORDER BY title ASC
                            ";
		$calendars_obj = $wpdb->get_results($querystr, OBJECT);
		if(is_array($calendars_obj)) {
			foreach($calendars_obj as $calendar) {
				?>
				<option value="<?php echo $calendar->id?>"><?php echo $calendar->title?></option>
			<?php }
		}?>
	</select>
	&nbsp;&nbsp;
	<select name="coreft_category_ics" id="coreft_category_ics">
		<option value=""><?php _e('Select a Category (optional)','coreftCalendar'); ?></option>
		<?php
		$categories = get_categories('taxonomy=coreft_events_category&hide_empty=0');
		if(is_array($categories)) {
			foreach ($categories as $category) {
				$option = '<option value="'.$category->term_id.'">';
				$option .= $category->cat_name;
				$option .= ' ('.$category->category_count.')';
				$option .= '</option>';
				echo $option;
			}
		}?>
	</select>
	&nbsp;&nbsp;
	<select name="coreft_offset_hour" id="coreft_offset_hour">
		<option value=""><?php _e('Hours offset (optional)','coreftCalendar'); ?></option>
		<?php

		for ($i = -13; $i <= 13; $i++) {
			$val = $i;
			if($i == 0) {continue;}
			if($i > 0) { $val = '+'.$i; }

			$option = '<option value="'.$val.'">';
			$option .= $val;
			$option .= '</option>';
			echo $option;

		}?>
	</select>
	&nbsp;&nbsp;
	<h4><?php _e('From ICS:','coreftCalendar'); ?></h4>
	<?php _e('Select the .ics file. ','coreftCalendar'); ?>(<?php _e('Max', 'coreftCalendar')?> <?php echo $upload_mb?>mb)
	<input type="file" name="coreft_ical_file" id="coreft_ical_file" />

	<h4><?php _e('From Facebook:','coreftCalendar'); ?></h4>

	<select name="coreft_fb_event_option">
		<option value="1"><?php _e('Facebook Event URL', 'coreftCalendar')?></option>
		<option value="2"><?php _e('Facebook Page URL', 'coreftCalendar')?></option>
	</select>
	&nbsp;&nbsp;
	<input type="text" name="coreft_fb_event_url" size="50" placeholder="Introduce the Facebook Event / Page URL or ID" id="coreft_fb_event_url" <?php echo (empty($coreftCalendar['facebook_app_id'] ) ? 'disabled="disabled"' : '')?> />
	<div class="clear"></div>
	<?php if ( empty($coreftCalendar['facebook_app_id'] ) ) {?>
		<div class="errorCustom" style="float:left;"><p><?php _e('Notice: This feature requires the FB API keys in the <a href="'.admin_url( 'admin.php?page=coreftCalendar-settings' ).'" target="_blank">
General settings</a>.','coreftCalendar'); ?></p></div>
	<?php }?>
	<div class="clear"></div>
	<div class="submit">

		<input type="submit" class="button-primary" value="<?php echo __( 'Import Events', 'coreftCalendar' )?>" name="import_events"  />

	</div>
	<div class="clear"></div>
</div>