<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
// This function displays the admin page content
function coreftCalendar_special_page() {
	global $wpdb, $table_prefix, $coreftCalendar;
	$table_name = $table_prefix.COREFT_CALENDAR_TABLE_SPECIAL_DATES;
	
	if (isset($_POST['add']) &&  $_POST['add']) {
		$postData = coreftSanitizeData($_POST);
		foreach($postData as $key=>$value) { $$key = $value; }
		
		$title = strip_tags(str_replace("'", '"', $title));
		
		$sql = "INSERT INTO $table_name ";
		$sql .= "(title, color) ";
		$sql .= "VALUES ";
		$sql .= "('$title', '$color');";
		$result = $wpdb->query($sql);
		
		wp_redirect( admin_url('admin.php?page=coreftCalendar-special&settings-updated=1') );
		exit;
	}
	
	if (isset($_POST['edit']) && $_POST['edit']) {
		$postData = coreftSanitizeData($_POST);
		foreach($postData as $key=>$value) { $$key = $value; }
		
		$title = strip_tags(str_replace("'", '"', $title));
		
		$sql = "UPDATE $table_name SET ";
		$sql .= "title = '$title', ";
		$sql .= "color = '$color' ";
		$sql .= "WHERE id = $id;";
		$result = $wpdb->query($sql);
		
		wp_redirect( admin_url('admin.php?page=coreftCalendar-special&settings-updated=1') );
		exit;
	}
	
	if (isset($_GET['delete_sp_date']) && $_GET['delete_sp_date']) {
	   $sp_date_id = coreftSanitizeData($_GET['delete_sp_date']);
	   
	   $sql = "DELETE FROM $table_name WHERE id = $sp_date_id;";
	   $result = $wpdb->query($sql);
	   	   
	   wp_redirect( admin_url('admin.php?page=coreftCalendar-special&settings-updated=1') );
	   exit;
	}
	?>

    <div class="wrap" style="clear:both;" id="coreft_options">
    
    <h2></h2>
    <div style="clear:both;"></div>
     <!--end of poststuff --> 
        <div id="coreft_ui_content" class="coreft-nobg">
            
            <div id="coreftSpecialDatesAdmin">
                <div id="menu_general_settings">
                    <div class="titleArea">
                        <div class="wrapper">
                            <div class="pageTitle">
                                <h2><?php _e('Color Settings','coreftCalendar'); ?></h2>
                                <span><?php _e('Add special dates to use in the calendars. Such as holidays, company events, personal events, etc... Assign them to calendars and events.','coreftCalendar'); ?></span>
                            </div>
                            
                            <div class="clear"></div>
                        </div>
                    </div>
                    
                    <div class="wrapper">
                    	<div id="coreftCalendar_SpecialDates" class="coreftCalendar_ModalManager" title="<?php echo __( 'Add new special date', 'coreftCalendar' )?> / <?php echo __( 'Event Color', 'coreftCalendar' )?>">
                        <form method="post" action="<?php echo admin_url('admin.php?page=coreftCalendar-special&noheader=true'); ?>" onsubmit="return special_checkform();">
                        <input type="hidden" name="add" value="1" />
                        <div class="option option-checkbox no_border">
                            <div class="option-inner">
                                <table width="100%" cellpadding="0" cellspacing="0">
                                    <tr height="50" class="row">
                                        <td width="20%"><span><?php _e('Title','coreftCalendar'); ?></span></td>
                                        <td><input type="text" class="regular-text" name="title" id="dpEventsCalendar_title" /></td>
                                    </tr>
									
                                    <tr height="50" class="row">
                                        <td width="20%"><span><?php _e('Color','coreftCalendar'); ?></span></td>
                                        <td><div id="specialDate_colorSelector" class="colorSelector"><div style="background-color: #fff"></div></div>
                                        <input type="hidden" name="color" id="coreftCalendar_color" value="#fff" /></td>
                                    </tr>
                                    
                                    <tr height="50">
                                    	<td colspan="2" align="center">
                                    		<input type="submit" class="button" value="<?php _e('Submit') ?>" />
                                    	</td>
                                    </tr>
                            	</table>
                        	</div>
                        </div>
                        <div class="clear"></div>
                        </form>
                        </div>
                        
                        <div id="coreftCalendar_SpecialDatesEdit" class="coreftCalendar_ModalManager" title="Edit Special Date">
                        <form method="post" action="<?php echo admin_url('admin.php?page=coreftCalendar-special&noheader=true'); ?>" onsubmit="return special_checkform_edit();">
                        <input type="hidden" name="edit" value="1" />
                        <input type="hidden" name="id" id="coreftCalendar_special_id" value="" />
                        <div class="option option-checkbox no_border">
                            <div class="option-inner">
                                <table width="100%" cellpadding="0" cellspacing="0">
                                    <tr height="50" class="row">
                                        <td width="20%"><span><?php _e('Title','coreftCalendar'); ?></span></td>
                                        <td><input type="text" class="regular-text" name="title" id="coreftCalendar_special_title" /></td>
                                    </tr>
									
                                    <tr height="50" class="row">
                                        <td width="20%"><span><?php _e('Color','coreftCalendar'); ?></span></td>
                                        <td><div id="specialDate_colorSelector_Edit" class="colorSelector"><div></div></div>
                                        <input type="hidden" name="color" id="coreftCalendar_special_color" value="" /></td>
                                    </tr>
                                    
                                    <tr height="50">
                                    	<td colspan="2" align="center">
                                    		<input type="submit" class="button" value="<?php _e('Submit') ?>" />
                                    	</td>
                                    </tr>
                            	</table>
                        	</div>
                        </div>
                        <div class="clear"></div>
                        </form>
                        </div>
                        
                        <div class="submit">
                        
                        <input type="button" value="<?php echo __( 'Add new special date', 'coreftCalendar' )?> / <?php echo __( 'Event Color', 'coreftCalendar' )?>" class="btn_add_special_date button" />
                        
                        </div>
                        <table class="widefat" cellpadding="0" cellspacing="0" id="sort-table">
                        	<thead>
                        		<tr style="cursor:default !important;">
                                	<th width="10%"><?php _e('ID','coreftCalendar'); ?></th>
                                    <th width="40%"><?php _e('Title','coreftCalendar'); ?></th>
                                    <th width="30%"><?php _e('Color','coreftCalendar'); ?></th>
                                    <th width="20%"><?php _e('Actions','coreftCalendar'); ?></th>
                                 </tr>
                            </thead>
                            <tbody>
                        <?php 
						$counter = 0;
                        $querystr = "
                        SELECT *
                        FROM $table_name 
                        ORDER BY title ASC
                        ";
                        $sp_dates_obj = $wpdb->get_results($querystr, OBJECT);
                        foreach($sp_dates_obj as $sp_dates) {
                            echo '<tr id="'.$sp_dates->id.'">
									<td>'.$sp_dates->id.'</td>
									<td>'.$sp_dates->title.'</td>
									<td><div style="background-color: '.$sp_dates->color.'; height: 10px; width: 30px; padding-top: 4px; margin-top: 2px; border: 2px solid #333;"></div></td>
									<td>
										<input type="button" value="'.__( 'Edit', 'coreftCalendar' ).'" name="edit_special" data-special-date-id="'.$sp_dates->id.'" data-special-date-title=\''.$sp_dates->title.'\' data-special-date-color="'.$sp_dates->color.'" class="btn_edit_special_date button-secondary" />
										<input type="button" value="'.__( 'Delete', 'coreftCalendar' ).'" name="delete_special" class="button-secondary" onclick="if(confirmSpecialDelete()) { location.href=\''.admin_url('admin.php?page=coreftCalendar-special&delete_sp_date='.$sp_dates->id.'&noheader=true').'\'; }" />
									</td>
								</tr>'; 
							$counter++;
                        }
                        ?>
                        
                    		</tbody>
                            <tfoot>
                            	<tr style="cursor:default !important;">
                                	<th><?php _e('ID','coreftCalendar'); ?></th>
                                    <th><?php _e('Title','coreftCalendar'); ?></th>
                                    <th><?php _e('Color','coreftCalendar'); ?></th>
                                    <th><?php _e('Actions','coreftCalendar'); ?></th>
                                 </tr>
                            </tfoot>
                        </table>
                        
                        <div class="submit">
                        
                        <input type="button" value="<?php echo __( 'Add new special date', 'coreftCalendar' )?> / <?php echo __( 'Event Color', 'coreftCalendar' )?>" class="btn_add_special_date button" />
                        
                        </div>
                    </div>
                </div>           
            </div>
        </div>

                    
</div> <!--end of float wrap -->


<?php	
}
?>